- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends

# PSDLayerMeta Class Reference

Search for all occurrences

## Detailed Description

The PSDLayerMeta object contains informations about a layer.

The information varies based on the layer type. the meta data of a layer is anything else beside the rasterized image data of that layer.

Definition at line 220 of file LibPSD.h.

`#include <LibPSD.h>`

List of all members.

## Public Member Functions
| PSDLayerMeta ()
| ~PSDLayerMeta ()
const QString & | getName () const
void | setName (const QString &layerName)
float | getOpacity () const
void | setOpacity (float opacity)
bool | getTransparencyProtected () const
void | setTransparencyProtected (bool trsProtected)
bool | getLocked () const
void | setLocked (bool locked=true)
bool | getVisibility () const
void | setVisibility (bool visFlag)
PSDBlendMode | getBlendingType () const
void | setBlendingType (PSDBlendMode blendMode)
void | setNbChannel (unsigned short nbChannel)
void | setLayerRect (int top, int left, int bottom, int right)
void | setChannelInfo (CompressionMethod method, unsigned short nbChannel=4)
## Public Attributes
LRect | m_layerRect
unsigned short | m_numChannels
std::vector< ChannelInfo > | m_channelInfo
unsigned int | m_blendModeSig
unsigned int | m_blendModeKey
unsigned char | m_baseClipping
unsigned char | m_filler
unsigned int | m_extraDataField
unsigned int | m_layerMaskSize
LRect | m_vectorMaskRect
char | m_vectorMaskColor
char | m_vectorMaskFlags
LRect | m_layerMaskRect
char | m_layerMaskFlags
char | m_userMaskBgColor
unsigned int | m_blendRangeSize
unsigned int | m_grayBlendSource
unsigned int | m_grayBlendDest
BlendChannelInfo * | m_BlendChannelRange
unsigned int | m_width
unsigned int | m_height
unsigned int | m_nbPixels
unsigned int | m_numAdditionalLayers
AdditionalLayerInfo * | m_listAddLayerInfo
SectionDividerSetting | m_sectionDivider
unsigned int | m_layerId
## Friends
class | PSDFile

## Constructor & Destructor Documentation

PSDLayerMeta | ( |  | ) |

~PSDLayerMeta | ( |  | ) |

## Member Function Documentation

const QString& getName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 265 of file LibPSD.h.

    { return m_layerName; }

void setName | ( | const QString & | layerName | ) |

Search for all occurrences

float getOpacity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 269 of file LibPSD.h.

    { return m_opacity/255.0f; }

void setOpacity | ( | float | opacity | ) |

Search for all occurrences

bool getTransparencyProtected | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 273 of file LibPSD.h.

    {return (bool)(m_optionFlags & 0x01);}

void setTransparencyProtected | ( | bool | trsProtected | ) |

Search for all occurrences

bool getLocked | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 276 of file LibPSD.h.

    { return m_bLocked;   }

void setLocked | ( | bool | locked = `true` | ) | `[inline]`

Search for all occurrences

Definition at line 277 of file LibPSD.h.

    { m_bLocked = locked; }

bool getVisibility | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 280 of file LibPSD.h.

    {return (bool)!(m_optionFlags & 0x02);}

void setVisibility | ( | bool | visFlag | ) |

Search for all occurrences

PSDBlendMode getBlendingType | ( |  | ) | const

Search for all occurrences

void setBlendingType | ( | PSDBlendMode | blendMode | ) |

Search for all occurrences

void setNbChannel | ( | unsigned short | nbChannel | ) | `[inline]`

Search for all occurrences

Definition at line 287 of file LibPSD.h.

    {m_numChannels=nbChannel;}

void setLayerRect | ( | int | top,
|  | int | left,
|  | int | bottom,
|  | int | right
| ) |  |

Search for all occurrences

void setChannelInfo | ( | CompressionMethod | method,
|  | unsigned short | nbChannel = `4`
| ) |  |

Search for all occurrences

## Friends And Related Function Documentation

friend class PSDFile `[friend]`

Search for all occurrences

Definition at line 222 of file LibPSD.h.

## Member Data Documentation

LRect m_layerRect

Search for all occurrences

Definition at line 228 of file LibPSD.h.

unsigned short m_numChannels

Search for all occurrences

Definition at line 229 of file LibPSD.h.

std::vector<ChannelInfo> m_channelInfo

Search for all occurrences

Definition at line 230 of file LibPSD.h.

unsigned int m_blendModeSig

Search for all occurrences

Definition at line 232 of file LibPSD.h.

unsigned int m_blendModeKey

Search for all occurrences

Definition at line 233 of file LibPSD.h.

unsigned char m_baseClipping

Search for all occurrences

Definition at line 234 of file LibPSD.h.

unsigned char m_filler

Search for all occurrences

Definition at line 235 of file LibPSD.h.

unsigned int m_extraDataField

Search for all occurrences

Definition at line 236 of file LibPSD.h.

unsigned int m_layerMaskSize

Search for all occurrences

Definition at line 238 of file LibPSD.h.

LRect m_vectorMaskRect

Search for all occurrences

Definition at line 239 of file LibPSD.h.

char m_vectorMaskColor

Search for all occurrences

Definition at line 240 of file LibPSD.h.

char m_vectorMaskFlags

Search for all occurrences

Definition at line 241 of file LibPSD.h.

LRect m_layerMaskRect

Search for all occurrences

Definition at line 243 of file LibPSD.h.

char m_layerMaskFlags

Search for all occurrences

Definition at line 244 of file LibPSD.h.

char m_userMaskBgColor

Search for all occurrences

Definition at line 245 of file LibPSD.h.

unsigned int m_blendRangeSize

Search for all occurrences

Definition at line 246 of file LibPSD.h.

unsigned int m_grayBlendSource

Search for all occurrences

Definition at line 247 of file LibPSD.h.

unsigned int m_grayBlendDest

Search for all occurrences

Definition at line 248 of file LibPSD.h.

BlendChannelInfo* m_BlendChannelRange

Search for all occurrences

Definition at line 249 of file LibPSD.h.

unsigned int m_width

Search for all occurrences

Definition at line 251 of file LibPSD.h.

unsigned int m_height

Search for all occurrences

Definition at line 252 of file LibPSD.h.

unsigned int m_nbPixels

Search for all occurrences

Definition at line 253 of file LibPSD.h.

unsigned int m_numAdditionalLayers

Search for all occurrences

Definition at line 255 of file LibPSD.h.

AdditionalLayerInfo* m_listAddLayerInfo

Search for all occurrences

Definition at line 256 of file LibPSD.h.

SectionDividerSetting m_sectionDivider

Search for all occurrences

Definition at line 260 of file LibPSD.h.

unsigned int m_layerId

Search for all occurrences

Definition at line 261 of file LibPSD.h.

The documentation for this class was generated from the following file:

- Mudbox/LibPSD.h

PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta
PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta PSDLayerMeta